# $EPIC: decode,v 1.5 2001/07/16 18:57:15 jnelson Exp $
Synopsis:
   $decode(<text>)

Technical:
   * If the <text> argument is omitted the empty string is returned.
   * The <text> argument must be text that was previously returned by
     the $encode() function.  All other inputs will yield undefined results.
   * This function returns the original <text> that was passed to the 
     $encode() function.
   * Hardcoding $encode()d values into your script IS A BAD THING.  Please
     be aware that $encode() may change in the future and your script will
     break and IT WON'T BE MY FAULT.

Practical:
   See the encode(6) help page for examples.

Returns:
   Given a string returned by encode, it returns the original arguments
   to the encode function.

Examples:
   $encode(hello there)               returns "GIGFGMGMGPCAHEGIGFHCGF"
   $decode(GIGFGMGMGPCAHEGIGFHCGF)    returns "hello there"
   $decode($encode(hello there))      returns "hello there"

History:
   This function first appeared in ircII-2.2pre8

See Also:
   encode(6)

